Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.domain
Class ObjectProperty.Syntax

    java.lang.Object
      ix.util.EnumeratedValue
          ix.icore.domain.ObjectProperty.Syntax

All Implemented Interfaces:
  SemiPrimitive, java.io.Serializable

Enclosing class:
  ObjectProperty

    public static class ObjectProperty.Syntax

extends EnumeratedValue

See Also:
  Serialized Form

Field Summary
`static ObjectProperty.Syntax` | `DEFAULT` Indicates that we aren't sure of a property's type.
`static ObjectProperty.Syntax` | `LIST` Value representing the type of a property value.
`static ObjectProperty.Syntax` | `NUMBER` Value representing the type of a property value.
`static ObjectProperty.Syntax` | `OBJECT` Value representing the type of a property value.
`static ObjectProperty.Syntax` | `STRING` Value representing the type of a property value.
`static ObjectProperty.Syntax` | `SYMBOL` Value representing the type of a property value.

Fields inherited from class ix.util.EnumeratedValue
`name`

Method Summary
`java.lang.String` | `toString()`
`static ObjectProperty.Syntax` | `valueOf(java.lang.String name)`
`static ObjectProperty.Syntax` | `valueOf(Symbol name)`
`static java.util.List` | `values()`

Methods inherited from class ix.util.EnumeratedValue
`getValue, getValueElseError, readResolve, recordValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NUMBER

    public static final ObjectProperty.Syntax NUMBER

  Value representing the type of a property value.

### SYMBOL

    public static final ObjectProperty.Syntax SYMBOL

  Value representing the type of a property value.

### STRING

    public static final ObjectProperty.Syntax STRING

  Value representing the type of a property value.

### LIST

    public static final ObjectProperty.Syntax LIST

  Value representing the type of a property value.

### OBJECT

    public static final ObjectProperty.Syntax OBJECT

  Value representing the type of a property value.

### DEFAULT

    public static final ObjectProperty.Syntax DEFAULT

  Indicates that we aren't sure of a property's type.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### values

    public static java.util.List values()

### valueOf

    public static ObjectProperty.Syntax valueOf(java.lang.String name)

### valueOf

    public static ObjectProperty.Syntax valueOf(Symbol name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD